sc::TwoBodyDerivIntCCA Class Reference

This implements two body derivative integrals through the CCA interface. More...

`#include <tbintcca.h>`

Inheritance diagram for sc::TwoBodyDerivIntCCA:
[legend]
Collaboration diagram for sc::TwoBodyDerivIntCCA:
[legend]

## Public Member Functions

| TwoBodyDerivIntCCA (Integral *, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4, size_t storage, IntegralEvaluatorFactory, bool, string)
int | log2_shell_bound (int, int, int, int)
| Return log base 2 of the maximum magnitude of any integral in a shell block. More...
void | compute_shell (int, int, int, int, DerivCenters &)
| Given for shell indices, this will cause the integral buffer to be filled in. More...
size_t | storage_used ()
void | set_integral_storage (size_t storage)
int | redundant () const
void | set_redundant (int i)
Public Member Functions inherited from sc::TwoBodyDerivInt
int | nbasis () const
| Return the number of basis functions on center one.
int | nbasis1 () const
| Return the number of basis functions on center one.
int | nbasis2 () const
| Return the number of basis functions on center two.
int | nbasis3 () const
| Return the number of basis functions on center three.
int | nbasis4 () const
| Return the number of basis functions on center four.
int | nshell () const
| Return the number of shells on center one.
int | nshell1 () const
| Return the number of shells on center one.
int | nshell2 () const
| Return the number of shells on center two.
int | nshell3 () const
| Return the number of shells on center three.
int | nshell4 () const
| Return the number of shells on center four.
Ref< GaussianBasisSet > | basis ()
| Return the basis set on center one.
Ref< GaussianBasisSet > | basis1 ()
| Return the basis set on center one.
Ref< GaussianBasisSet > | basis2 ()
| Return the basis set on center two.
Ref< GaussianBasisSet > | basis3 ()
| Return the basis set on center three.
Ref< GaussianBasisSet > | basis4 ()
| Return the basis set on center four.
const double * | buffer () const
| The computed shell integrals will be put in the buffer returned by this member.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Attributes

Ref< Int2eCCA > | int2ecca_
Protected Attributes inherited from sc::TwoBodyDerivInt
Integral * | integral_
Ref< GaussianBasisSet > | bs1_
Ref< GaussianBasisSet > | bs2_
Ref< GaussianBasisSet > | bs3_
Ref< GaussianBasisSet > | bs4_
double * | buffer_

## Additional Inherited Members

Protected Member Functions inherited from sc::TwoBodyDerivInt
| TwoBodyDerivInt (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4)

## Detailed Description

This implements two body derivative integrals through the CCA interface.

## Member Function Documentation

void sc::TwoBodyDerivIntCCA::compute_shell | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | DerivCenters & |
| ) |  |

virtual

Given for shell indices, this will cause the integral buffer to be filled in.

Implements sc::TwoBodyDerivInt.

int sc::TwoBodyDerivIntCCA::log2_shell_bound | ( | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) |  |

virtual

Return log base 2 of the maximum magnitude of any integral in a shell block.

An index of -1 for any argument indicates any shell.

Implements sc::TwoBodyDerivInt.

The documentation for this class was generated from the following file:

- tbintcca.h